Reference documentation and code samples for the Google Cloud Vision Ai V1 Client class GenerateStreamHlsTokenResponse.
Response message for GenerateStreamHlsToken.
Generated from protobuf message google.cloud.visionai.v1.GenerateStreamHlsTokenResponse
Namespace
Google \ Cloud \ VisionAI \ V1Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ token |
string
The generated JWT token. The caller should insert this token to the authorization header of the HTTP requests to get the HLS playlist manifest and the video chunks. eg: curl -H "Authorization: Bearer $TOKEN" https://domain.com/test-stream.playback/master.m3u8 |
↳ expiration_time |
Google\Protobuf\Timestamp
The expiration time of the token. |
getToken
The generated JWT token.
The caller should insert this token to the authorization header of the HTTP requests to get the HLS playlist manifest and the video chunks. eg: curl -H "Authorization: Bearer $TOKEN" https://domain.com/test-stream.playback/master.m3u8
| Returns | |
|---|---|
| Type | Description |
string |
|
setToken
The generated JWT token.
The caller should insert this token to the authorization header of the HTTP requests to get the HLS playlist manifest and the video chunks. eg: curl -H "Authorization: Bearer $TOKEN" https://domain.com/test-stream.playback/master.m3u8
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getExpirationTime
The expiration time of the token.
| Returns | |
|---|---|
| Type | Description |
Google\Protobuf\Timestamp|null |
|
hasExpirationTime
clearExpirationTime
setExpirationTime
The expiration time of the token.
| Parameter | |
|---|---|
| Name | Description |
var |
Google\Protobuf\Timestamp
|
| Returns | |
|---|---|
| Type | Description |
$this |
|